=== debian/changelog ===
win32-loader (0.10.4) unstable; urgency=medium

  [ Thomas Gaugler ]
  * Run win64 tests only on 64-bit wine
  * Makefile: Add build directory as prerequisite for icon generation
  * s_install.nsi: Fix indentation
  * Use signed grub efi file of testing instead of buster
    The signed grub efi file of buster lacks the leading / in the prefix.
  * l10n: Generate translations only via shell script,
    update po and pot files
  * Write entries to preseed.cfg one by one
    By default NSIS limits strings to 1024 characters. Writing each entry
    destined for preseed.cfg on its own prevents a possible data loss.
  * Use "create error" message in case adding preseed.cfg to
    installer's initrd.gz fails
  * Restore variables before returning from Get_SHA256_ref
  * Download signed grub efi file of testing (bullseye) if the one
    of stable (buster) is faulty determined by its sha256 fingerprint

  [ Updated translations ]
  * Russian (ru.po) by Yuri Kozlov. Closes: #974891

  [ Didier Raboud ]
  * Bump S-V to 4.5.1 without changes needed

 -- Thomas Gaugler <thomas@dadie.net>  Mon, 11 Jan 2021 08:24:07 +0100

win32-loader (0.10.2) unstable; urgency=medium

  [ Didier Raboud ]
  * Correct typo in 0.10.1 changelog entry
  * Coerce same-author d/changelog entries

  [ Thomas Gaugler ]
  * Update patch of signed netboot grub EFI file as required by a newly
    released and signed netboot grub EFI file addressing the GRUB2
    "BootHole" vulnerability
  * Use respective prefix path of netboot grub
    - The default netboot grub prefix is /debian-installer/amd64/grub
      but /grub for the patched version.
  * helpers/instdlg: Consolidate image base definition in one place
  * tests/sha256: Release crypto context instead of file handle
  * tests:
    - Launch shell scripts via -e option to exit in case of failure
    - Change camelCase functions into lowercase named ones
    - Map uninstaller init function un..onInit to un.onInit
    - Move run and check functions of (Un)Installer to common place
  * tests/cpio: Run tests in uninstaller context as well
  * SYSINFO_ComputerName replace StrLoc with custom implementation
  * tests/sysinfo: Run tests in uninstaller context as well
  * Support output format filters for cpio
  * miniz compression helper
  * Provide interface and tests for miniz helper
  * Use MINIZ_CPIO_GZ_* functions to append preseed.cfg to initrd.gz
  * Be explicit about path receiving translated installer messages (.nsh)
  * Run tests based on availability of wine and host architecture
  * Add cpio required during test phase as dependency
  * Remove no longer needed gzip-win32 dependency
  * Increase to debhelper compatibility level 13
  * Dropping Win ME/98/95 support in favor of Unicode support
  * Enable Farsi translation
  * d/copyright: Add license information for helpers and include directories

 -- Didier Raboud <odyx@debian.org>  Sat, 03 Oct 2020 15:38:07 +0200

win32-loader (0.10.1) unstable; urgency=medium

  * Team upload

  [ Thomas Gaugler ]
  * Skip blhc job in Salsa CI pipeline
  * Generate the installer icon from the SVG source in one go, so drop
    icoutils B-D
  * d/control: Set Rules-Requires-Root to no
  * d/control: Update to Standards-Version 4.5.0
  * Test win32-loader in its installed state
  * Limit updating of timestamps to build directory

  [ Updated translations ]
  * Czech (cs.po) by Miroslav Kure
  * German (de.po) by Holger Wansing
  * Korean (ko.po) by Changwoo Ryu
  * Portuguese (Brazil) (pt_BR.po) by Adriano Rafael Gomes

 -- Didier Raboud <odyx@debian.org>  Thu, 16 Jul 2020 18:18:40 +0200

win32-loader (0.10.0) unstable; urgency=medium

  [ Thomas Gaugler ]
  * Introduce UEFI boot manager and Secure Boot support (Closes: #918863)
    - Patch netboot debian-installer grub efi file (temporary workaround)
  * Use Modern User Interface
  * Replace 'vga=' option with gfxpayload in grub.cfg
  * Major code refactor and cleanup:
    - Enable downloading via https for Windows 7 or newer
    - Allow GPG validity check in a folder with spaces
    - Add progress text and tidy up localization files
    - Replace use of external cpio.exe
    - Remove obsolete plugins
    - Use SOURCE_DATE_EPOCH and DEB_VERSION

  [ Didier Raboud ]
  * Trim trailing whitespace.
  * Disable Farsi translation as its NSIS translation doesn't convert
    correctly to its designated codepage, see #939151
  * Bump debhelper from old 11 to 12, and S-V to 4.4.0 without changes needed
  * Add standard Salsa Gitlab-CI configuration

 -- Didier Raboud <odyx@debian.org>  Mon, 02 Sep 2019 08:50:12 +0200
