=== debian/control ===
Source: win32-loader
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Thomas Gaugler <thomas@dadie.net>,
           Didier Raboud <odyx@debian.org>
Section: utils
Priority: optional
Build-Depends: nsis (>= 3),
               mingw-w64,
               librsvg2-bin,
               gawk,
               gettext (>= 0.20),
               grub-pc-bin,
               imagemagick,
               ipxe,
               loadlin,
               locales-all,
               gpgv-win32,
               debian-archive-keyring,
               cpio,
               wine [i386],
               debhelper-compat (= 13)
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/installer-team/win32-loader
Vcs-Git: https://salsa.debian.org/installer-team/win32-loader.git

Package: win32-loader
Architecture: all
Depends: ${misc:Depends}
Suggests: wine
Built-Using: ${w32-loader:built-using}
Description: Debian-Installer loader for win32
 This package provides a win32 program that can be used as a loader for
 Debian Installer, acting as a more user-friendly boot mechanism than
 traditional BIOS-based boot.
 .
 This package contains the cdrom/usb-disk add-on that starts a media-based
 install.
