=== debian/tests/control ===
Test-Command: 7z t -tNsis "/usr/share/win32/win32-loader.exe"
Depends: @, p7zip-full
