## win32-loader 0.10.6

=== debian/changelog ===
win32-loader (0.10.6) unstable; urgency=medium

  * Team upload

  [ Andika Triwidada ]
  * Update Indonesian translation. Closes: #1007707

 -- Holger Wansing <hwansing@mailbox.org>  Mon, 21 Mar 2022 23:58:02 +0100

win32-loader (0.10.5) unstable; urgency=medium

  [ Valentin Vidic ]
  * Update Croatian translation

  [ Didier Raboud ]
  * Run wrap-and-sort -baskt
  * Remove myself from Uploaders

 -- Didier Raboud <odyx@debian.org>  Wed, 01 Sep 2021 18:28:42 +0200
